Details

    • Type: Story Story
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 1.1
    • Fix Version/s: 2.0.1
    • Component/s: Projects > Common
    • Labels:
      None
    • Similar Issues:
      Show 5 results 

      Description

      There are several places where the IDe will fail is there is a miss-match between default jdk versions and liferay project creation which always defaults to jdk15. This can lead to some errors with the default java facets along with runtime validation. Another error is when there is a miss-match between versions of JRE that is the default and jre that is setup on the project when it comes to service-builder actions.

        Activity

        Hide
        Gregory Amerson added a comment -

        Fixed in 2.0.1

        Show
        Gregory Amerson added a comment - Fixed in 2.0.1
        Hide
        Lu Li added a comment -

        Verified with Liferay IDE 2.0.1.201401230338

        Steps:
        set JAVA_HOME to JDK1.6, open Preference>>Java>>Compile , check jdk default level is to "1.6"
        set set JAVA_HOME to JDK1.7, open Preference>>Java>>Compile , check jdk default level is to "1.7"

        Show
        Lu Li added a comment - Verified with Liferay IDE 2.0.1.201401230338 Steps: set JAVA_HOME to JDK1.6, open Preference>>Java>>Compile , check jdk default level is to "1.6" set set JAVA_HOME to JDK1.7, open Preference>>Java>>Compile , check jdk default level is to "1.7"

          People

          • Votes:
            1 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:
              Days since last comment:
              1 year, 31 weeks, 3 days ago

              Development

                Structure Helper Panel